UNICODE::TOLOWER(3)

NAME
unicode::tolower, unicode::toupper - unicode version of tolower(3) and toupper(3)

SYNOPSIS

#include <courier-unicode.h>

std::string unicode::tolower(const std::string &string);

std::string unicode::tolower(const std::string &string, const std::string &charset);

std::u32string unicode::tolower(const std::u32string &u);

std::string unicode::toupper(const std::string &string);

std::string unicode::toupper(const std::string &string, const std::string &charset);

std::u32string unicode::toupper(const std::u32string &u);

DESCRIPTION

These functions convert the string parameter, in charset or unicode_default_chset(3), to unicode, replace each character with unicode_lc(3) or unicode_uc(3), then convert it back to the same character set, returning the resulting string.

Passing a const std::u32string & directly also converts it accordingly, returning the converted unicode string.

SEE ALSO

courier-unicode(7).

AUTHOR

Sam Varshavchik
    Author